%define kdeprefix /usr
%define version 0.5.0
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  kcmbind
Name: %{kdename}
Summary: KCMBind is a graphical tool to manage DNS configuration.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://www.100webstreet.com/pub/kde/kcmbind/%{kdename}-%{version}.tgz
License: GPL
URL: http://www.100webstreet.com/kcmbind/
Group: Applications/System
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KCMBind is a front-end to configure bind developed for the K Desktop
Environment.  It provides an interface that is light years ahead of
editing the bind configuration files directly, making DNS
administration a possibility for mere mortals.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}

%build
export KDEDIR=%{kdeprefix}
make -f Makefile.dist
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0






